Welcome to WinOKE

Welcome to WinOKE On-Line Help

Hello and welcome to the wonderful world of WinOKE!!! For updates of WinOKE, please visit http://www.winoke.com/

Use the area on the left of this document to navigate through this help.

http://www.winoke.com/


Internet Links

WinOKE Internet Links

You can obtain lyrics from a number of sites, some of which are listed here, some sites also contain the Midi Karaoke (.KAR) files which WinOKE will import:

  • Lyrics Search Engine - Popular Lyrics
  • Country Music Lyrics Corner
  • HeadBang's Lyric Site
  • FindSongs.com
  • International Lyrics Server (ILS)
  • J's Lyrics Index
  • Karaoke Explosion!
  • Leonie's Lyric's Page
  • Lyrics.com
  • Lyrics Find - The Huge Searchable online Lyric database
  • Lyricsh.com Search - Excellent Lyrics Search Engine
  • Lyrics HQ
  • MIDI Karaoke (www.midikaraoke.com)
  • Online Radio Requests
  • Original Hip Hop (Rap) Lyrics Archive

  • More Links (on WinOKE website)

  • WinOKE website
  • WinOKE Hardware Projects (have a look)
  • Secure WinOKE On-Line Registration (Major Credit Cards Accepted - $30)
  • RMC Software's Home Page


Song Editor

WinOKE Song Editor

The song editor allows you to edit the main areas of the karaoke, it also allows you access to all the other editors... You can load .OKE files from the File menu or by dragging it onto the song editor window.

Midi Karaoke Files can be loaded from the file menu: File/Import Karaoke From/.KAR (or MIDI) file or File/Load WinOKE file/Other...then change filetype to Midi Karaoke file or by dragging and dropping .KAR files onto the Song Editor... This is the only way these files can be used. Once loaded you can change the effects (etc) and save them as a .OKE file...

Please click on the area you require more information about

Advanced Options
Displays the Advanced Options requester. This contains things like changing video/slideshow area size, setting the song timings offset, controlling Winamp and Windows Media Player, and lyrics position on screen.

Full Preview
Clicking this allows you to preview the karaoke as you currently have it setup. Clicking this causes the "Please Insert Media" requester to appear...

Effects Editor...
Clicking this takes you to the Effects Editor where you can select how the karaoke and title (and background) look and are displayed. It also allows you to choose how the lyrics for the song are displayed too.

Colours Editor...
Takes you to the Colours Editor. This allows you to assign different colours to each line in the song (for example to separate different people in a song.)

Timings Editor...
The Timings Editor is the most important editor of all, from this you put in all the timings for the lines in the song. It's not hard to do...

Slide Show Editor...
The slide show editor allows you to choose pictures to be displayed along with the karaoke, sort of like a slide show, only these can be synchronised with the words in the song.

Song Setup
From here you can choose the type of media that WinOKE will use as music, this can be either CD Audio or a Sound File. the area below the drop-down box will change depending on which you have selected.

CD Audio: If it is set as CD audio, it will look as in the picture. You must then choose the tract that WinOKE will use (it will assume it is talking about the CD currently in the default drive.)

Sound File: If sound file is selected then that area will look like the following:

The sound file box allows you to specify the name of the sound file to play, this could for example be a MIDI, a Movie file or anything else that your computer supports through MCI or Winamp(tm).

Below that you have two check boxes, the first (Show Video/Graphic (if available)) enables the video area on the karaoke screen. If the sound source contains a video of some sorts then checking this will enable the video to be seen. The second (Include/Embed above file in .OKE file) when checked, causes the sound file you have selected to be saved along with (inside) the karaoke file. This makes your karaoke file larger, but helps keep the sound file with the karaoke file. (useful if you are giving others your karaoke files)

Song Information
This area allows you to enter basic information about the song to help you identify it later.

Song Lyrics

This version of WinOKE allows you to have more than one set of lyrics displayed at the same time during playback. WinOKE refers to these as parts or song parts. The tab along the top allows you to choose which song part you wish to edit the lyrics for. You can type all the lyrics of the song in here, or load them from disk. Check out the Internet Links Page for some links to sites that contain lyrics (and music).

Once lyrics timings have been recorded for this part, the box will look like this: (distorted to prevent copyright problems)

To edit the lyrics you now have to select the line, then click it again and you will be able to edit it (like when renaming a file from explorer). You can also use the Add Line and Delete Line buttons to change the lyrics. It is not really recommended to edit the lyrics once timings have been recorded, it's allowed but can cause timing problems...

Add Part
Allows you to add a song part to this song. When pressed, a box appears asking for the name of the part (this is just for your use to help you to identify it.)

Rename Part
Allows you to rename the currently selected song part (the part whose lyrics are currently being displayed).

Delete Part
Allows you to delete the currently selected song part (the part whose lyrics are currently being displayed).

Back to Main Menu
Returns you to the main menu...

Menu Options

The File Menu contains the usual options such as New/Load/Save/Save As/Exit but also options to import and export to one or two existing karaoke formats. When importing you will often be advised to re-record the timings to make the karaoke look better... You can also access the template system from this menu.

The Edit menu contains CUT, COPY and PASTE. This menu is only available when the lyrics entering box is selected.

The Karaoke Editors menu contains menu items that get you to the four editors available from this screen and the Advanced options too.

The Help menu contains the standard help options. This menu only appears if help is installed and working.

Related Topics: [ Effects Editor | Lyrics Colours Editor | Preferences Window | Timings Editor | Slide Show Editor | Advanced Options | WinOKE's Main Menu | Templates | Internet Links Page ]


Main Menu

WinOKE Main Menu

This is the main screen you will see when WinOKE loads up (assuming you've registered, if not, the button saying "Batch Play" will say "Register!") You can also start a karaoke playing by dragging the .OKE file on the main menu window.

Please click on the area you require more information about...

Start Karaoke...
This allows you to start a karaoke and will display the start karaoke file selector...

Edit Songs...
Clicking this displays the Song Editor, from which you can edit and create your own karaoke files...

Preferences...
Pressing this brings up the preferences window where you can change how WinOKE operates...

Batch Play...
Takes you to the Batch Play Mode window where you can set up a list of songs to play in order. This option is only available to registered users of WinOKE. For more information about registering, click the "Register" button from the main menu or the "Your Trial Period" window... This option automatically becomes available when you enter your correct registration details...

Batch Midi KAR Import
Allows you to import manu .KAR midi files into WinOKE quickly. Click here for more details.

File Code Generator
Allows you to fenerate a list of .OKE files and rename them all into a suitable code. Click here for more details.

WinOKE Voice-Supressor
Attempts to remove the vocals from stereo wave files. Click here for more details.

Tip of the Day
Brings up the Tip-of-the-Day dialog.

About...
Displays the about dialog.

Quit...
Allows you to exit WinOKE, but why would you want to do that???

Related Topics: [ Batch Midi Import | Batch Play Mode | File Code Generator | Song Editor | Start Karaoke | Preferences window | Voice Supressor ]


Preferences

WinOKE Preferences

Allows you to set how WinOKE will behave to various things.

Please click on the area you require more information about

Player Priority
This shows the order the players listed should be chosen to play a certain file. The only real use to this is if more than one player can play the same file formats, this will select which one to use...

Arrows
Use these to change the order of the players used.

WinOKE "Tweeks" Winamp's Timings
When this is checked, the same option in the advanced properties from the Song Editor is enabled by default. See the advanced properties help for more details about what this does...

Change Editing Font, Size and Colour
Clicking this allows you to select the font for when recording the timings using the timings recorder. this can be useful if the lines in the song are very long and don't fit on screen. You can see how this will appear by looking in the example view...

Example Area
Displays the font, size and colour that will be used when recording timings using the timings recorder.

Bouncing Ball
When using the bouncing ball in a karaoke you can use this to set the maximum number of characters in a word before the ball bounces more than once. You can also set the height (in pixels) that the ball will bounce to. Care must be taken with the ball bounce height, too smaller value won't look good but too larger value will look silly.

Custom Instrumental Animation Image
The Effects Editor allows you to set an animation that will play when there are no lyrics. These boxes control how that animation will perform as follows:

  • Time Must Be Available: This amount of time must be available or the animation won't be displayed.
  • Blank Gap At Start: This amount of time is left after the lyrics disappear before the animation starts.
  • Blank Gap At End: This amount of time is left before the next line of lyrics appears.
  • Scroll On/Off Time: This amount of time is taken to scroll the animation on and off screen. NOTE: Make sure this number is LESS THAN HALF that of the Time Must Be Available box.

Lyrics Wordwrap
WinOKE can now perform word-wrapping in two ways, the usual way and the "Nice Wrap" method. Check and Un-Check the box to see what the differences are.

Right to Left Reading
Clicking this will cause all new WinOKE files to by default have Right To Left support enabled. For more information about Right To Left reading click here.

Low Priority Mode Enabled
This has nothing to do with the way windows can set different programs to be at different priority levels (eg: normal, higher, time critical etc). All this simply does is when enabled it controls how long WinOKE goes to sleep for in-between re-draws. Usually it is best left enabled for best results.

Priority Slider
This has nothing to do with the way windows can set different programs to be at different priority levels (eg: normal, higher, time critical etc). All this simply does is when enabled it controls how long WinOKE goes to sleep for in-between re-draws. For best results, the further to the left this slider can be put, the better, however, playback of some sorts of media may suffer from this... You will need to experiment with this to best suit the power of your computer, however, it is usually ok left as it is.

Register File Type
This is automatically called the first time WinOKE starts on your computer. It will associate all .OKE files with WinOKE. Sometimes you find that you need to do this again, (but rarely.)

Enabled Player
This box will enable the chosen player for us with WinOKE. By using Winamp(tm) and Windows Media Player, you suddenly have the support of many more file formats, the main one you will probably use is the famous MP3 file. NB: In order for WinOKE to use Winamp(tm), Winamp(tm) needs to be loaded and running on the computer. WinOKE can then control it. If a file is supposed to be played with Winamp(tm) and Winamp(tm) can't be found then WinOKE will try to play the file through windows, if that fails an error message will appear... When using Winamp it is recommended that you only use the "Direct Sound" or "Wave Out" output plugins...
Note: At the time of writing this, if using Winamp(tm) to play MP3/wave/mod files then some versions of Winamp have a little trouble getting the exact position in a song. This is still the case in Winamp v2.10, but I have patched this problem by using the "Tweek Winamp's Timings" option...

Winamp EXE Location
If you set the location of the Winamp EXE file then WinOKE will attempt to load it if it isn't running (when required.)

File Types List
This box contains a list of all the file types that you will allow this player to play.

Edit Box
In this box you may enter file extensions that you want this player to play. Once entered press the add button and it will be added to the list.

Delete
Removes the currently selected file extension from the list so that this player can no longer play this type of file.

Add
Adds the file extension in the edit box to the list of extensions that this player is allowed to play.

If there is a line with no timings, skip onto the next line
If a line in the song has no timings listed in the detailed timings editor, then WinOKE should just ignore it and go onto the next. (If checked)

Show first line on start-up
If checked, then the first line of lyrics will appear when the karaoke starts, even if the part of the music that its for hasn't been reached yet.

Remove lyrics from screen at end of song
When the end of the lyrics timing information has been completed, but before the actual song finishes, when checked, the lyrics will be removed from screen, else, they'll just be left there...

Wait for user before Karaoke starts
If checked, then when you actually start the karaoke nothing happens until you click the mouse button, then it starts.

During "Start Karaoke" Hide Desktop and Taskbar
If checked, then when you press the Start Karaoke button from the main menu, then the taskbar and desktop icons are hidden from view. They stay this way until you return to the main menu again. This looks best if the background colour of the desktop is black.

Auto-Video Size Adjustments
If the karaoke is viewed under different screen resolutions (eg: 640x480 pixels, 800x600 pixels etc) then things appear to fill different amounts of the screen. When checked, this makes any video played with the karaoke "look" as if it was played at the screen of size specified in the Song Editor for that song.

Auto-Font Size Adjustments
If the karaoke is viewed under different screen resolutions (eg: 640x480 pixels, 800x600 pixels etc) then things appear to fill different amounts of the screen. When checked, this makes any text (title or lyrics) played with the karaoke "look" as if it was played at the screen of size specified in the Song Editor for that song.

Auto-Slide Show Size Adjustments
If the karaoke is viewed under different screen resolutions (eg: 640x480 pixels, 800x600 pixels etc) then things appear to fill different amounts of the screen. When checked, this makes the pictures displayed in the slide show with the karaoke "look" as if it was played at the screen of size specified in the Song Editor for that song.

External Control Enabled
WinOKE can now send messages to a port on the computer (eg: the parallel or serial ports) depending on events that happen during karaoke playback. This may not seem like much use but for example, Look at the hardware projects section on he links page for more information on how I use this. Clicking this box enables this feature.

External Control Remote (load on startup)
Places an icon on the taskbar icon area so you can control this external device quickly and easily without loading WinOKE (if you want to.)

Port to communicate with
The device/port that WinOKE sends the commands to.

Commands
This area contains the four events that WinOKE can tell the outside world about. For each one, you can specify some data to be sent (in hex notation.) For example 0A0D48656C6C6F210A0D would cause "Hello!" to be sent out (10 characters) (and printed if a printer was connected). You can use the Generate Message button to generate the codes for these messages if all you want to do is print something.

Generate Message
If (for example) you just wanted to print out messages for these events then you can use this button to generate the codes for the messages. A window will pop up and you enter your message in the top box, the code appears below. (Use the clipboard to transfer it to where you want it.)

Enable Multi-Line Preview
Enables WinOKE's Next-Line preview system.

First Line is Top Line of Display
When checked, the first line to contain any lyrics is the top area, else it's the bottom one.

Half font size
Makes the preview-line appear with the same font except that it is half the size.

Blend to Background Colour
Makes WinOKE change the colour of the line of text so that it mixes with the background colour a little.

Align
Sets the horizontal alignment of the preview text, left, centre or right.

Def Position
Sets if the preview line should be above or below the main text. If the text is in the way there then WinOKE will put the preview line in the opposite position.

OK Button
Saves your current preferences and returns you to the main menu...

Related Topics: [ Timings Recorder | Effects Editor | Song Editor | Main Menu | Advanced Properties | Detailed Timings Editor ]


Batch Mode

WinOKE Batch Play Mode (Registered users ONLY)

This allows you t specify many songs to be played, one after another, in a particular order, without the need to select a new file after the last one finishes, it will go straight into the next one. Make sure you read the Batch Mode Karaoke Information before using this function...

Please click on the area you require more information about

Songs List
This area contains all the songs that you have selected to be played. The order they are played is the order they are listed in this box unless the Random Playback Order check box is checked. You can drag files from Explorer onto this area and they will be added to the list.

Add Song...
Pressing this allows you to add a song to the list. When pressed, a box like the following will appear:

The filename is the name of the WinOKE .OKE file to play (or you can use the "Browse..." button to find the file). Below that is a check box. If this box is checked then before WinOKE plays the file it will pop up the "Please Insert Media" requester (useful if you want to play many songs but the songs are all on different CDs) If not checked, then WinOKE will start the karaoke without asking you first (unless your using a sound file and the file can't be found...)

Edit Song...
Pressing this allows you to edit the currently selected song in the list. When pressed, a box like the following will appear:

The filename is the name of the WinOKE .OKE file to play (or you can use the "Browse..." button to find the file). Below that is a check box. If this box is checked then before WinOKE plays the file it will pop up the "Please Insert Media" requester (useful if you want to play many songs but the songs are all on different CDs) If not checked, then WinOKE will start the karaoke without asking you first (unless your using a sound file and the file can't be found...)

Delete Song...
Pressing this allows you to delete the selected song from the list.

Move Up
Moves the selected song up a line in the playing order

Move Down
Moves the selected song down a line in the playing order

Menu Bar
The file menu allows you to load/save playlists of karaoke files.

Random Playback Order
Causes the play order to be ignored, WinOKE randomly chooses the order of playback.

Show Title at end of song as well
Normally when a karaoke song has finished playing, WinOKE will show the title (as it did at the beginning) but in reverse. When this isn't checked, WinOKE won't show the title at the end, it will just move onto the next song.

Start Batch Karaoke...
Starts the karaoke playback. Before using this please read the Batch Mode Karaoke Information section...

Cancel
Cancels batch play mode and returns you to the main menu again.

Batch Mode Karaoke Information
Make sure you know and understand the following things:

  • If you are not getting WinOKE to prompt for media then make sure all the songs are available all of the time, tunes played to the wrong lyrics (or vice-versa) sound very strange!
  • Even if you tell WinOKE not to prompt for media, then if a file can't be found it will anyway.
  • Pressing ESC during batch playback aborts the whole batch process
  • Pressing SPACE BAR during batch playback makes WinOKE skip to the next song in the list.
  • If you are using the "Wait for user before karaoke starts" option in preferences, then that applies at the start of EACH song in the list.
  • Set your Windows(tm) background colour to black for best effects.
  • When WinOKE has finished playing back all the songs it will sit there (like normal) until you hit the ESC or SPACE BAR keys...
  • If you turn of prompting for media for a song then WinOKE will display the word "Busy..." on screen whilst preparing the karaoke (especially if it has to extract media/pictures from the file etc...)

Related Topics: [ Preferences Window | Main Menu ]


File Selector

Open WinOKE File, File Selector

WinOKE adds to the standard file open requester with a few great features as follows: (pictures may vary between versions of Windows(tm)). Pressing OK when starting a karaoke will cause the insert media requester to appear. Otherwise it will make the .OKE file load into the Song Editor...

Please click on the area you require more information about

Normal File Selector
This area is just the normal Windows(tm) file selector.

Find File...
Clicking this causes the wonderful WinOKE find file option to pop up. This can also be loaded by choosing the Start Menu, Find and then WinOKE File...

Selected File Information
Displays information about the selected file (if it is a .OKE file.)

Related Topics: [ WinOKE Find File | Insert Media Requester | Song Editor ]


WinOKE Find File

This window allows you to search for WinOKE files by many fields and is often very useful in locating your favourite songs... You can also use this from the Start Menu. (Start/Find/WinOKE File...)

Please click on the area you require more information about

Search Fields
There are three main areas that may be searched, the album name, song name and song artist. Not just this, WinOKE offers you one other powerful option, the option of searching for a phrase, word, or even sentence from within the lyrics. Useful if you can't remember the name of the song.

Drive and Folder
This area allows you to specify the drive and path to search for WinOKE files in.

Search Sub-Directories/Folders?
If this box is checked then WinOKE will search inside every folder from the point selected for files, if not selected, WinOKE will only look in the currently selected folder.

Search Options
This area should be read in order, at the moment it reads as "Find songs that [contains] the text [the] match using [AND]"
This all makes sense, the first says how the searching should be done as follows:
Find Songs That:

  • Contains: Will find items if the word or phrase is contained, for example in the string "hello to the world", "hello" would match, so would "to the" so would "ll".
  • Starts With: Will find items that start with the text entered.
  • Ends With: Will find items that end with the text entered
  • Doesn't Contain: Works completely opposite to the "Contains" option.
The matching using AND/OR option simply means:
  • AND: The search text must be matched in ALL of the selected fields.
  • OR: The search text must be matched by at least one of the fields selected.
If Match Case allows you to choose if the search is case sensative or not, that is to say if "A" can be treated as the same as "a".

Start Search!
Begins searching with the current settings...

STOP!
Stops the current active search but keeps the results gathered so far.

OK Button
If a file is selected then this accepts the file and loads it, else it does the same as the cancel button...

Cancel Button
Aborts any searches going on and returns to the file selector...

Results Area
This area shows the results found so far. Selecting an item and pressing OK causes it to load (or you can simply double click on the file!).

Related Topics: [ Start Karaoke File Selector | Main Menu ]


Insert Media Requester

WinOKE "Please Insert Media"

This box pops up just before the karaoke starts, it prompts you for the media source used during the karaoke. It may look like either of the following:

Please click on the area you require more information about

Step/Subtitles Mode
When this box is checked, no music is played, the lyrics are displayed only. The next line of lyrics is brought up by clicking a mouse button. Useful for subtitles...

Apply Template Before Run
If this box is checked then the Apply Template requester will appear so that you can apply a template to the current song before it is played. Note: It doesn't matter if you press OK or Cancel in the template requester, the karaoke will still be played.

Information Box
Displays information about the selected file.

Change Media
This area is for you to adjust the media suggest to use, for example if the song is on a different CD track or if the media file has moved...

Start Karaoke
When enabled, you may start the karaoke. To exit from a playing/finished karaoke at any time, simply hit the ESC key on the keyboard. If the song is played using Windows Media Player you may use the UP and DOWN arrows on the keyboard to change the playback speed. Note: This can have some side-effects with timings with some file formats.

Cancel

Aborts playing this file...

Related Topics: [ Import Templates | Song Editor | Main Menu ]


Batch Midi Import

WinOKE Batch Midi Import

This option allows you to convert many .KAR midi files to WinOKE files very quickly and all at once. (Limited to 5 files at a time in the unregistered version) You can use the templates system to apply different styles to each file converted making tham all different (if that is what you want)

Please click on the area you require more information about

Input Files
This box shows a list of all the files that will be processed. Files may be added ing the Add Files button and removed with the Delete Files button. Files may also be dropped onto the window to be added to the list.

Splitter
You can drag this bar up and down to re-size the areas above and below it.

Templates Randomly Chosen During Import
This box shows a list of templates available to you. Tick the templates that you wish WinOKE to randomly pick and apply whilst importing.

Output Directory
From here you can specify where WinOKE will put the converted files. They will be named the same as the originals but with the extension of .OKE. WARNING: If a file already exists it will be over-written without warning.

Progress Bar
This progress indicator shows the progress with long operations such as starting the batch process or adding a large number of files to the list by dropping them on the window.

Convert Now
Clicking this will start the process.

Exit
Clicking this will return you to the Main Menu.

Related Topics: [ Main Menu | Templates ]


Voice Supressor

WinOKE Voice Supressor

The WinOKE voice supressor is a digital processor that will attempt to remove the vocals from a stereo wave file and output a mono one. In the WinOKE program folder is a file called VoiceSupressor.EQF, if you are planning on using Winamp to play this file back then this file is a good equalizer setting for processed songs.

Please click on the area you require more information about

Input File
Allows you to specify the input wave file. The file MUST be STEREO or it will not work. You can use the "Browse..." button to select the file...

Vocal Reduction
This sets the percentage the effect has on the file, at 100% the effect is totally used, at 50% it is mixed equally with the original file.

Treble Cut
Due to the way this effect works, the output is mainly treble, this option will help, but don't turn it up too high as it also can reduce the quality of the finished file...

Reverb Level
To help improve the output file quality, the Voice Supressor has a reverb unit built in. The different settings set the reverb strength, at the highest setting, the reverbed sounds are louder.

Reverb Delay
This sets the delay between the sound and the reverbed sound. Generlly somewhere in the middle is acceptable for 44khz sound.

Recursive Reverb
When checked it allows the sound created with the reverb to be fed back into the sound to be processed again, giving more of an echo effect.

Output File
Allows you to specify the output wave file. You can use the "Browse..." button to help choose this filename...

Begin VoiceSupressor
Starts the conversion process, once started, this button can also be used to stop the process too.

Done
Returns you to the Main Menu.

Related Topics: [ Main Menu ]


File Sorter and List Generator

WinOKE File Sorter and List Generator

Other karaoke systems often use codes to name the song you wish to sing. This dialog allows you to rename all of your .OKE files to a number code system and then save all the filenames (with song name and artist information) to a CSV file (that you can use with programs like Microsoft Excel(tm)). This is also useful so you can print out lists of all the songs in your collection available for karaoke.

Please click on the area you require more information about

Select Directory
This area allows you to select the directory where WinOKE should search for .OKE files to be logged and renamed.

Scan Directories Contains Within Above Directory
When checked, WinOKE scans for .OKE files in any sub directories contained within the chosen directory.

New File Names
This part allows you to specify the format of the new file names for the .OKE files (these are the code file names!).

  • Start With: Some text that should be placed at the beginning of the filename (can be left blank)
  • Start Number: The number the codes should start from. NOTE: If you start at a number already in use you may ge undesired results.
  • End With: Some text that should be placed at the end of the filename (can also be left blank)

Output
Whilst renaming all the files, WinOKE generates a list of the new file names along with the song name, artist and media type required. This information can be saved to a file for use in another program, such as to print out a list of songs available. WinOKE saves these as a CSV (comma seperated values) file. You can enter the filename to save as here, or choose Browse to select one.

Start
This button starts the renaming process. Once this has been started you cannot get back your original file names. You can of course run this as many times as you wish to rename the files as you wish.

Close
This button returns you to the Main Menu.

Related Topics: [ Main Menu ]


Advanced Options

WinOKE Advanced Options

Allows you to set some of the less-used but more advanced controls when editing a karaoke.

Please click on the area you require more information about

Video/Slideshow Position
This allows you to move the slide show/video area above or below the lyrics. The third option allows you to have the video displayed behind the lyrics and them overlayed in boxes. The fourth allows proper presentation of lyrics ontop of videos but is not recommended on slow machines.

Percentage of Screen Size
If the sound source contains a video and you want to display the video, or, if you are having a slide show then this option is important. By moving the slider you can select how much of the screen's vertical size will be occupied by the video/slide show, and what is left over is for lyrics. The size of the video is also determined by the Auto-Adjust video size option in the preferences window...

Timings Offset for Lyrics
A special timing, sometimes the same song, on different albums, don't always match up with the timings. This box allows you to adjust the karaoke file to compensate for this without having to re-record the song. Increasing the number will cause the words to be ahead and decreasing the number will cause the words to be delayed. Be warned, this will also have an effect during recording of timings too. The number entered in this box is in milliseconds (ie: 1000=1 second). This has to be adjusted per song part, this allows you to get lyrics perfectly lined up with the music.

Ideal Screen Size
The option shown in this box is usually the size of the screen that this karaoke file was created at. This allows WinOKE to adjust font sizes and pictures etc. so that they look as if they are playing back on a screen of that size, even if they aren't. This doesn't have much of an effect unless the last three check boxes for auto-size adjustment in the Preferences Window/Misc option.

Winamp Timings
In versions of Winamp(tm), problems occur jumping into a song at selected positions, it thinks it has but gets more and more out the further into the song it jumps into. Checking this box allows WinOKE to patch this problem and make it work perfectly. This will only have noticeable effect if you are editing individual lines from the Timings Editor. This option is checked by default if the Tweek Winamp Timings option is checked in the Preferences Window. How does WinOKE fix this?
Related to this problem is the way the timings are calculated. If you wish to play a file back recorded using Winamp on Windows Media Player instead of Winamp then check the box Adjust Winamp timings for Windows Media Player. This is not required for all types of media...

Lyrics Position
Allows you to choose where the lyrics will appear on screen, at the top, in the middle, or at the bottom. If you have more than one set of lyrics then this effects the lyrics placement within their portion of the screen. These can also be shifted around using the shifts.

Right to Left Reading
Checking this enables my attempt at right to left reading. You can enable this by default from preferences. For more information about right to left reading please click here.

Shifts
These are special controls and would not normally be used. They allow you to move the lyrics and instrumental animation around the screen (in pixels) for whatefer purpose you require. The reason why it isn't recommended is because if the screen resolution/size is changed then these may make your karaoke look a little odd.

Ok Button
Returns you to the Song Editor.

Related Topics: [ Song Editor | Preferences Window | Timings Editor ]

How WinOKE Fixes This

When jumping to a position in the song, WinOKE does the following:

  1. Multiply the time to jump to (in milliseconds) by my magic constant (1.0037265208)
  2. Jump to this new time position
  3. From here on, all timings read from Winamp should have "the tweeked time-the original time" taken away from them.
The magic constant of 1.0037265208 was worked out by playing several songs (of about 6 minutes in length) most of the way through, grabbing the current position in the song at a point that you can remember, then adjusting this position until it will jump back to the same point in the song. The number is the new position divided by the old. This was done many times and averaged.

I'm sure that if anyone, Nullsoft(tm) will be looking at how WinOKE fixes this! - PS: Winamp's great!


Effects Editor

WinOKE Effects Editor

The effects editor is used to set how the title for the karaoke will be displayed and how the actual words will be highlighted when they should be sung!

Please click on the area you require more information about

OK Button
Returns you to the song editor.

Maintain Background Aspect Ratio
If you set the background picture (or slide, in a slide show) to be stretched onto the background to fill the screen then the shape of the picture can often change too, checking this box will keep the picture the same shape (it's width in correct proportion to it's height.)

Title Effect Speed
This box allows you to choose the speed at which the title effect happens, 1 being the slowest and 15 being the quickest.

Title Effect
This box allows you to choose how the title will be shown at the start of the karaoke. When selected, the effect will be shown in the example box.

Choose Ball
One of the option for this effect, choose ball, allows you to choose the way the bouncing ball looks and how it works. One of the ball selectors looks like this.

Display Method
This box allows you to select how the words in the karaoke will be displayed during the karaoke for this song part. Some effects are better for slower songs, some for faster, some for when the timings recorded aren't very good, some just look good!

Song Part
Allows you to select which song part you are editing the effects for.

Font
This allows you to choose the font to be used.

Example View
this area displays how the currently selected effect will look, it won't look exactly like it is shown, but it gives you some idea of what the effect does and how it works.

Set Background Colour
This option allows you to choose the background colour of the page using one of the standard windows colour selectors.

Background Colour Preview
Allows you to see the page background colour you have selected.

Background Picture Enabled
Enables the use of background pictures. This option is not recommended unless your computer is quite fast and you are running your computer with more colours than 256.

Filename
You can enter the filename of the .BMP file you want as the background image, or you can specify this by clicking on browse...

Browse...
Allows you to select the file to use as the background image.

Preview
Shows the chosen background image in a preview window.

Embed in .OKE file
When you save your karaoke file, if this option is checked then the picture is saved along with the .OKE file (inside of it).

Transparent Background Colour
When checked, anything with the background colour you have selected will become transparent. This makes a huge difference when using full-screen slide-show/background pictures or full-screen video with no borders.

Background Picture Display Mode
Allows you to select how your background image will be made to fit the screen.

Letter Styles
These allow you to either add a drop-shadow to or a bubble around your lyrics. Beware that thre larger the Size/Distance field is for "Bubble" mode, the longer it takes to draw...

Bitmap File
In this area you set the image that is used as the bouncing ball, this can either be a file you create, or one that the Animation Strip Assembler generates.

Embed Bitmap in WinOKE file
Checking this box causes WinOKE to save the instrumental animation image inside of the .OKE file. Useful if you move the file to another computer and that other computer doesn't have the image.

Frames
In this box you enter the number of frames in the image. WinOKE will then calculate how the image should be treated. See the Animation Strip Assembler for more details.

Anim Strip Assembler
Clicking this brings up the Animation Strip Assembler window. For more information about animated images in WinOKE look at the Animation Strip Assembler.

Transparency
This allows you to set a colour in the image/animation that is transparent. For best results (although usuallty works otherwise) it is recommended that this is one of the standard colours.

Set...
Clicking this will pop up a colour selector so that you can choose the transparency colour for this image/animation.

Pick
When this button is pressed you can click on the example area with the mouse. The colour you click on will be set as the transparency colour.

Enable Instrumental Animation for This Part
Checking this enables the instrumental animation feature for the currently selected part.

Scroll on and off animation
When this is checked (and enabled) the animation will scroll on and off screen. The speed it doesn this is set in preferences. This option is only available if the Horizontal position and Vertical position are not both Middle.

Horizontal Position
Allows you to set the horizontal position the animation will be on screen. These can be shifted by using the shifts in the advanced options.

Horizontal Position
Allows you to set the vertical position the animation will be on screen. These can be shifted by using the shifts in the advanced options.

Related Topics: [ Advanced Options | Animation Strip Assembler | Preferences | Song Editor | Spinning Bouncing Ball | Lyrics Colours Editor ]


Spinning Bouncing Ball

WinOKE Spinning Bouncing Balls

This window allows you to customize the bouncing ball image from one of the presets or one of your own.

Please click on the area you require more information about

Preview
Shows a preview of how this ball will look

Type of Ball
Use this to select if you want one of the preset balls or a custom one of your own design.

Preset Balls
A selection of preset balls

Direction
The direction the animation will play. Backwards generally looks better with bouncing balls.

"Image" should bounce on lyrics
Checking this will cause the ball to mounce, otherwise it will float over the lyrics

"Image" should animate
Checking this will allow the animation to play through.

OK
Returns you to the Effects Editor.

Related Topics: [ Custom Bouncing Ball | Effects Editor ]


Animation Strip Assembler

WinOKE Animation Strip Assembler

The animation strip assembler generates the animation image requred for WinOKE to use. The file is generated from many images that are all pasted together automatically using this window or manually using some sort of paint program. This image can be created manually as follows:

Animation Strip Example

Each frame is placed side by side on the image. The width and height of each frame MUST be the same or the animation won't work properly.

Please click on the area you require more information about

Input Directory
This folder specifies where the input animation files will be loaded from.

Output File
Enter or select here the name of the file file you wish to save the anim strip as. (.BMP file)

Start With
The names of the files in this folder start with what you enter in this box.

Start Number
The number the files begin with

End Number
The number of the last file in the animation

Digits Wide
By increasing this number the actual file name is padded with zeros (0) to this width.

End Width
What the file ends with (usually just .BMP)

Sample
This box shows how one possible filename will look.

Build Anim Strip
Clicking on this will start the building process, depending on the size of images and number of this may take from a second to a few. The progress bar will show you the progress as it goes.

Progress Bar
Shows the progress whilst building the animation strip.

Close
Pressing this will either return you to the Effect Editor or the Custom Bouncing Ball requester.

Related Topics: [ Custom Bouncing Ball | Effect Editor ]


Custom Bouncing Ball

WinOKE Custom Bouncing Ball

From this window you can setup all of the options required inorder to have your very own bouncing ball image/animation.

Please click on the area you require more information about

Preview
This area shows you what the bouncing ball tha you have setup will look like. The transparency colour will be ignored but the background colour will be set the same.

Bitmap File
In this area you set the image that is used as the bouncing ball, this can either be a file you create, or one that the Animation Strip Assembler generates.

Embed Bitmap in WinOKE file
Checking this box causes WinOKE to save the bouncing ball image inside of the .OKE file. Useful if you move the file to another computer and that other computer doesn't have the image.

Frames
In this box you enter the number of frames in the image. WinOKE will then calculate how the image should be treated. See the Animation Strip Assembler for more details.

Anim Strip Assembler
Clicking this brings up the Animation Strip Assembler window. For more information about animated images in WinOKE look at the Animation Strip Assembler.

Transparency
This allows you to set a colour in the image/animation that is transparent. For best results (although usuallty works otherwise) it is recommended that this is one of the standard colours.

Set...
Clicking this will pop up a colour selector so that you can choose the transparency colour for this image/animation.

Pick
When this button is pressed you can click on the preview area with the mouse. The colour you click on will be set as the transparency colour.

OK
Clicking this button will either return you to the Effects Editor or the Spinning Balls requester.

Related Topics: [ Animation Strip Assembler | Effects Editor | Spinning Balls ]


Colours Editor

WinOKE Colours Editor

The lyrics colours editor is used to give each line in the song a different colour, this could be done just to make it look nice, or to separate parts of the song, or to separate different people's lyrics etc...

Please click on the area you require more information about

Lyrics
This area displays all of the lyrics in their correct colours. The idea is simple, select the line, then select the colour you wish to make that line. You can also select more than one item at once in the usual windows way. The background colour can be set with the Effects Editor.

Default Colours
This area shows all the default colours. Selecting something here will cause all the selected lines of the song in the lyrics section to become this colour.

Part Selector
This area allows you to select which song part you are editing the colours for.

Custom...
Pressing this allows you to select a colour other than the 16 colours listed.

Selected Colour
This box shows the colour of the selected line.

Select All
Causes all the lines in the song to become selected.

None
Causes all the lines in the song to become de-selected.

Tabs
These three tabs choose which area you are currently editing, the first, when selected means that all colour modifications happen to the normal text colour. The second causes colour modifications to happen to the select colour property, and the last tab, to the background colour when the text is selected. The last two tabs only make a difference with certain effects.

OK Button
The OK button returns you to the Song Editor.

Related Topics: [ Song Editor | Effects Editor ]


Timings Editor

WinOKE Timings Editor

The timings editor is used to set-up the main timings for the lines in the song. If a line is shown in red and a little clock ( [image]) appears to the right then no timings have been recorded for this line. A magenta coloured line means that there might be a problem with the timings on that line.

Please click on the area for more information about it

Song Part
Allows you to select which set of lyrics you wish to edit the timings for.

Song Lyrics
This box shows the lyrics of the currently selected song part. If you select a line, the Time Start box at the bottom shows the timing that this line starts at. If you double click the line then you can edit the timings for that time using the detailed timings editor. Clicking with the right mouse button on a line causes it to be selected and previewed on the special preview screen

Edit Timings
Allows you to use the detailed timings editor to edit the timings for the currently selected line.

Preview...
Allows you to preview the currently selected line using a special preview screen

Time Start for this line
Allows you to set the time at which this line should be displayed. This number can only be adjusted between the end of the previous line, and the start of the next line (minus the last timing on the selected line.) This ensures timings don't overlap. The time format is HH:MM:SS.msc where HH is the hour, MM is the minutes, SS is the seconds and msc is 1000th of a second.

Record All Timings
Allows you to record all the timings for this song part using the timings recorder. This process is very simple, but be warned, when you start recording the timings, all existing timings will be erased...

Remove All Timings
Pressing this removes all timings from the current song part. This will cause the Song Editor to revert back to it's original state (where the song lyrics are displayed).

Returns you to the Song Editor

Related Topics: [ Detailed timings editor | The special preview screen | Timings recorder. | Song Editor ]


Timings Recorder

WinOKE Timings Recorder and Line Timings Recorder

The basic idea of the timings recorder is that it will show you all the lyrics to the song and at the same time, play the song to you. What you do it to highlight/select the words in the song (with a mouse or otherwise) as you hear them (as if you were selecting some text, except here, once text is selected, it can't be de-selected...)

At first you may find this a bit difficult but with a bit of practice you will soon find this easy to do and find the results really good.

During recording, you may notice that the lyrics don't all fit on the screen, to scroll the page up easily, simply press the space bar on your keyboard and the lyrics will shift up about two thirds of the screen. You can also use the scroll arrows, Page Up, Page down and the srcoll bar to do this. If you find you scroll too far then press the backspace key on the keyboard and the lyrics will scroll back down again. Pressing ESC will abort recording but keep what you have recorded so far. You may also need to press ESC at the end when the song has finished...

If the lyrics don't fit on the screen and go off of the right had side of the screen then you may need to adjust the font or font size. This can be done from preferences.

The Line Timings Recorder works the same as the Timings Recorder except that it shows only one line. It also has two checkboxes to enable you to have mroe time to record your timings within...

Please note that the way the text is displayed here is just for recording and will not be how it is displayed during a karaoke.

Tips when recording:

  • Hold the mouse button down for the duration of a line, this seems to help
  • Whilst the above point helps, don't start pressing the mouse button UNTIL the line has started (in the music) or it could cause some strange effects!
  • Don't panic, if you make a mess of one or two lines then don't worry as you can either start over, or just edit that line on it's own later...
  • If using a mouse then make sure it has been cleaned and the mouse pointer moves properly with your hand movements or you will find this quite difficult. If you struggle with the mouse then it might be worth investing in a touch screen as these can make it much easier to select the text, but with a bit of practice can be done equally well with the mouse.
  • I often find that using the hand that isn't olding the mosue to guide the mouse makes for smoother timings.

Related Topics: [ Timings Editor | Detailed Timings Editor | Preview Window | Preferences ]


Line Preview Screen

WinOKE Line Preview Screen

The preview screen attempts to show you one line of the song as close to what it would look like when actually running the karaoke as possible. Note that if you have chosen a background bitmap from the Effects Editor it will not be shown here. The preview screen will fill the screen and put the following control panel at the bottom. (Not all options will be displayed depending on what window you previewed from.)

Please click on the area you require more information about

Re-Show Preview...
Starts the line "playing" again.

Stop!
Stops the line currently "playing".

Edit Line...
Clicking this will bring up the Detailed Timings Editor for you to edit the line with. When you close that editor the line will be re-shown.

Prev Line
Shows the previous line in the song.

Next Line
Shows the next line in the song. Usrful to slowly check each line is OK quickly.

OK Button
Stops any "playing" line and returns you to the either the timings editor or the detailed timings editor (depending on which you were using.)

Video Output
If the sound media contains a video then this will be shown here during preview playback...

Related Topics: [ Effects Editor | Timings Editor | Detailed Timings Editor | Song Editor ]


Detailed Timings Editor

WinOKE Detailed Timings Editor

The detailed timings editor allows you to edit the timings for each character in every word of the lyrics in great detail (down to milliseconds.)

Please click on the area you require more information about

Timings
This box displays each timing (relative to the start of the line's timing. These can be edited and deleted... The time format is HH:MM:SS.msc where HH is the hour, MM is the minutes, SS is the seconds and msc is 1000th of a second.

Characters Displayed
This box shows (for the currently selected timing) the number of characters into the line that WinOKE should have reached. This may be altered between the values of the lines before and after, if there is no room for adjustment the box will be disabled.

Time Next Line Starts At
This box shows (for the currently selected timing) the time at which the amount of characters (at this timing) should be displayed. Another way of looking at this is that the timing is the time from the start of the line, that the next timing starts at. This may be altered between the values of the lines before and after, if there is no room for adjustment the box will be disabled. The time format is HH:MM:SS.msc where HH is the hour, MM is the minutes, SS is the seconds and msc is 1000th of a second.

Delete Timing
Allows you to delete the currently selected timing from the list. This can often improve the way the line is displayed during the karaoke (but only for some display effects.) Sometimes, deleting timings in the middle of words can help but is not usually required...

Re-record the timings for this line...
Displays a cut-down version of the timings recorder that allows you to re-record just the current line. Useful if you made a mess of just one line in the song.

Insert Timing
Pressing this causes a timing to be inserted just before the currently selected line. This will only be done if it can be done, if there is a big enough difference in the number of characters displayed and the timings between them. If there is, then the timing will be inserted and its default values of characters displayed and timing will be set to the mid point between the selected line and the above line.

Remove all timings for this line...
Pressing this will delete all the timings for this line in the song.

Preview...
Shows you how the line will look using the special preview screen.

Ok Button
Pressing this returns you to the timings editor or the preview window depending on where you're editing timings from.

Related Topics: [ Timings Editor | Timings Recorder | Preview window ]


Slide Show Editor

WinOKE Slide Show Editor

The slide show editor allows you to put a collection of pictures together to be shown in time with the lyrics.

Please click on the area you require more information about

Pictures
Before you can create any slides, you need to tell WinOKE what to use for them. The idea is that you specify all the pictures to be used in the slide show so that if you use one more than once it won't use any more memory as you can tell it to use the same picture more than once. This box displays all the pictures chosen. The picture number is shown just to help you see the order. The filename displays the name of the file that is to be displayed. If the file was embedded within the WinOKE file and couldn't be found on the machine then this will be the name of a temporary file. The internal picture name is the name of the picture (you decide this.) This is to help you to choose the picture when creating your slides. The last field status, shows the status of the picture, if the WinOKE file is loaded and a picture cannot be found then this part will show you.

Add Picture...
Allows you to add a picture to the list. When clicked, the picture editor is displayed so you can choose the picture filename and internal name and display method (for full-screen slideshow).

Edit Picture...
Allows you to edit the selected picture (filename and picture name) using the picture editor.

Preview Picture...
Shows you the picture in a preview window.

Delete Picture...
Allows you to delete the selected picture, if a slide is using this picture then you will not be able to delete it.

Specified Slides
Displays a list of all the slides that should be displayed during the karaoke. Slide Number is just the number of the slide and has no meaning. Picture Name is the name of the picture to display for this slide. Display At shows the time from the start of the song when the slide should be shown. Display Until will show when the slide should be removed. If this is empty then it means the slide will be displayed until the next slide is shown, or until the song finishes... The slides will only be shown if the following are true:

  • The picture file for the slide can be found (if picture is not embedded in file)
  • The slide show is enabled.
  • If the sound media is CD Audio OR the sound media is a media file and the Show Video/Graphic (if available) box is NOT checked.
Note: The time format is HH:MM:SS.msc where HH is the hour, MM is the minutes, SS is the seconds and msc is 1000th of a second.

Add Slide...
Allows you to add a slide to the slide show using the slide editor.

Edit Slide...
Allows you to edit the currently selected slide using the slide editor.

Delete Slide...
Allows you to delete the currently selected slide.

Preview Slide
Allows you to preview the timings for the slide using the slide timings preview window.

Slide Show Mode
If this box enables you to select if this karaoke file is to have a slide show of pictures played along with it. You can choose not to have a slide show, a slide show appearing in a portion of the screen during the karaoke (the size is set from the Song Editor under video display or you can choose to have the slide show full-screen as a background.

Notes on using Full-Screen SlideShow Mode:
This option if used correctly is very powerful. The way the picture is drawn to the background (with transparent text and correct aspect ratio) is the same as the background picture. These options can be changed from the Effects Editor. For your convenience when using full-screen slide-show, a button to take you directly to the Effects Editor will appear..

Embed all pictures within the .OKE file
If this box is checked then all of the pictures listed above will be saved into the .OKE file so that they can always be found, this is recommended if you are planning to copy the file between different computers...

OK
Returns you to the Song Editor...

Resize Bar
This bar allows you to re-size the areas above and below it giving more room to the picture list or the slide list.

Related Topics: [ Picture Editor | Slide Editor | Effects Editor | Slide timings preview window | Song Editor ]


Slide Editor

WinOKE Slide Editor

The slide editor allows you to specify which picture should be displayed, when it should be displayed and when it should be removed.

Please click on the area you require more information about

Picture Name
Here you select the name of the picture you want to use for this slide. Pictures can be set-up from the slide show editor...

Display At
This is the time from the start of the song, that the picture should be displayed. It is sometimes a good idea to make this about half a second early as some computers take a little time to display pictures. If you don't know the time to display it at then you can use the "..." button to get a timing from a song line. The time format is HH:MM:SS.msc where HH is the hour, MM is the minutes, SS is the seconds and msc is 1000th of a second.

Option
This option allows you to choose if the slide picture should stay on until removed, or, until another slide is displayed (forever mode).

Display Until
In this box you choose the timing when the picture should disappear. If you don't know this then pressing the "..." button will help you to find the timing out. The time format is HH:MM:SS.msc where HH is the hour, MM is the minutes, SS is the seconds and msc is 1000th of a second.

OK Button
Takes the information you have entered and updates the slide list in the slide show editor.

Cancel Button
Ignores the information entered and returns you to the slide show editor.

"..." Button
This button brings up a window that looks like the following:

This box displays all the lyrics from the song. Clicking on a line causes the Timing box to be set to the timing start for that line. Then, pressing OK enters it into the field you chose the "..." button by. The Start Offset set-up for the song part that you use will be applied to this timing so that the slide show timings are independent of the lyrics. A Start Offset Timing is available for the slideshow and is in the Advanced Options dialog.

Related Topics: [ Slide Show Editor | Picture Editor ]


Slide Timings Preview

WinOKE Slide Timings Preview

Allows you to see visually when a slide will appear and disappear.

Please click on the area you require more information about

Visual Display
This is how the visual display area looks whilst the slide would be in view (the green text flashes on and off.)

Re-Show!
Re-starts the video (about 3 seconds before the slide should appear) for you to re-see the timings...

Stop!
Stops the music so you can re-show it.

Ok
Returns you to the Slide Editor.

Video Output
This will display any video that might be with the selected media file. It is pointless to set-up a slide show if you intend to use the video as you can only have one of them on at once.

Position
Shows the position of playback into the song. The time format is HH:MM:SS.msc where HH is the hour, MM is the minutes, SS is the seconds and msc is 1000th of a second.

Related Topics: [ Slide Editor | Song Editor ]


Picture Editor

WinOKE Picture Editor

The picture editor is used to specify a picture filename and an internal name to be used by the slide show editor. It should be noted that the picture editor does not actually enable you to edit the graphic its self.

Please click on the area you require more information about

Filename Box
in this box you can specify the name of the picture to load and use. If you don't know the name of the file then you can use the browse button to find it.

Browse
Allows you to find and select the picture using a windows file selector.

Full Screen Drawing Mode
Sets if you want this slide to be tiled on screen (when using full-screen slideshow) or stretched to fill the screen.

Picture Name
You must give the picture a unique name so you can identify it later, enter the name in this box, it can be what ever you want it to be...

OK Button
Accepts what you have entered, and it it's ok then returns you to the slide show editor with the (new) picture added or edited.

Cancel Button
Ignores any changes or anything you have entered into any boxes and returns you to the slide show editor...

Related Topics: [ Slide Show Editor. | Slide Editor ]


Right to Left Reading

I ahve ATTEMPTED to implement right to left reading order. However, I'm not even sure if this is correct, I had a guess as to what it was and I'm sure it won't be long before someone tells me I got it completly wrong, oh well...


WinOKE Quick Guide - On-Line Help

Title Goes Here...

Description

Please click on the area you require more information about

Related Topics: [ | ]


Import Templates

WinOKE Import Templates

Import templates have many uses, the idea being is that you set up a karaoke show how you like it and then save the key settings from it. These can then be applied to ANY .OKE file and also used when using the batch midi import option.

Please click on the area you require more information about

Template List
This area shows all of the templates already on the system.

Delete Selected...
This button allows you to delete the selected template. Note that you can't delete the "Default Template."

Cancel
This cancel button cancels saving the current settings as a template. Pressing this will return you to the Song Editor

Cancel
Depending on where this box appears this cancel button will prevent the current template being applied. Pressing this button will take you to the Song Editor or start karaoke playback.

OK
Pressing OK will cause the currently selected template to be applied to the current file. Pressing this button will take you to the Song Editor or start karaoke playback.

Name
Enter in this box the name you wish to give the template. If you name one that already exists then you will be prompted to over-write it. Note: you can't over-write the "Default Template".

Save
Pressing this causes the current settings to be saved as the template named in the name box. You will then be returned to the Song Editor.

Related Topics: [ Batch Midi Import | Please Insert Media Requester | Song Editor ]